Interface

Options for the request() method.

Inheritance: IRequestOptionsILegacyRequestOptions

Properties

Hide inherited properties
PropertyTypeNotes
authenticationstring | IAuthenticationManager

The instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.

credentials
inherited
RequestCredentials

A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.

fetchOptionsRequestInit

anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.

headers
inherited
{}

Additional Headers to pass into the request.

hideToken
inherited
boolean

Prevents the token from being passed in a URL query parameter that is saved in browser history.

httpMethod
inherited
HTTPMethods

The HTTP method to send the request with.

maxUrlLength
inherited
number

If the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.

paramsIParams | Record<string, any>

Additional parameters to pass in the request.

portalstring

Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.

rawResponse
inherited
boolean

Return the raw response

requestFlagsIRequestFlags

ArcGIS REST JS runtime flags.

signal
inherited
AbortSignal

An AbortSignal object instance; allows you to abort a request and via an AbortController.

boolean

Suppress any ArcGIS REST JS related warnings for this request.

authentication

optional
Interface Property
authentication: string | IAuthenticationManager

The instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.

credentials

optionalinheritedinheriteddeprecated
Interface Property
credentials: RequestCredentials

A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.

fetchOptions

optional
Interface Property
fetchOptions: RequestInit

anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.

headers

optionalinheritedinheriteddeprecated
Interface Property
headers: {}

Additional Headers to pass into the request.

Type declaration

    hideToken

    optionalinheritedinheriteddeprecated
    Interface Property
    hideToken: boolean

    Prevents the token from being passed in a URL query parameter that is saved in browser history.

    httpMethod

    optionalinheritedinheriteddeprecated
    Interface Property
    httpMethod: HTTPMethods

    The HTTP method to send the request with.

    maxUrlLength

    optionalinheritedinheriteddeprecated
    Interface Property
    maxUrlLength: number

    If the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.

    params

    optional
    Interface Property
    params: IParams | Record<string, any>

    Additional parameters to pass in the request.

    portal

    optional
    Interface Property
    portal: string

    Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.

    rawResponse

    optionalinheritedinheriteddeprecated
    Interface Property
    rawResponse: boolean

    Return the raw response

    requestFlags

    optional
    Interface Property
    requestFlags: IRequestFlags

    ArcGIS REST JS runtime flags.

    signal

    optionalinheritedinheriteddeprecated
    Interface Property
    signal: AbortSignal

    An AbortSignal object instance; allows you to abort a request and via an AbortController.

    suppressWarnings

    optionalinheritedinheriteddeprecated
    Interface Property
    suppressWarnings: boolean

    Suppress any ArcGIS REST JS related warnings for this request.

    Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.